/******************************************************************************/
/******************************************************************************/
/* Trigger: DTULTATU_EQUIMEDI                                            			      */
/* Tabela : EQUIMEDI                                                   				      */
/*                                                                        				      */
/* Criao:                                                             				      */
/* 06/12/2004 - Rafael dos Santos Lopes                                    			      */
/*                                                                           				      */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_EQUIMEDI
BEFORE INSERT OR UPDATE OR DELETE
ON EQUIMEDI FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUEQME := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.NMEQUIMED,0) <> NVL(:NEW.NMEQUIMED,0)) OR
           (NVL(:OLD.DSEQUIMED,0) <> NVL(:NEW.DSEQUIMED,0)) THEN
         :NEW.DTULTATUEQME := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('EQUIMEDI', '', 'CDEQUIMED='||:OLD.CDEQUIMED||';' , SYSDATE);
   END IF;
END;
/

ALTER TABLE EQUIMEDI MODIFY DTULTATUEQME DEFAULT SYSDATE
/

